<script setup>
import {Search} from "@element-plus/icons-vue";
import {reactive} from "vue";
import {useRouter} from "vue-router"
import request from "@/utils/request"

import { ref, onMounted } from 'vue';  
// import { ref } from 'vue'

const dialogFormVisible = ref(true)
const dialogFormVisiblea = ref(false)
const dialogFormVisibleb = ref(false)
const width = ref(); // 用于存储process_id的响应式引用 
const height = ref(); // 用于存储process_id的响应式引用 
const adjustedRects = ref([]);
const adjustedRectsa = ref([]);
const adjustedRectsb = ref([]);
// 进炉中
onMounted(async () => {  
  try {  
    const response = await request.get('/temperingGlass/temperingGlassInfo/SelectIntoGlass'); 
    if (response.code === 200) {  
      const rawRects = response.data; // 设置矩形数据  
      console.log(response.data);
      const { height: newheight,width: newwidth  } = response.data; // 获取尺寸  
      height.value = newheight;  
      width.value = newwidth;  

      adjustedRects.value = rawRects.map(rect => ({  
        ...rect, // 复制原始对象的其他属性  
        xcoordinate: rect.xcoordinate, // 将x值除以3  
        ycoordinate: rect.ycoordinate,
        width: rect.width ,
        height: rect.height ,
      }));  
        console.log(rect);

      //   console.log( (rect.width*100) / 300 );
    } else {  
      // console.error('Failed to fetch rectangles from API.');  
      console.error('Failed to fetch rects from API.'); 
    }  
  } catch (error) {  
    // console.error('Error fetching rectangles :', error);
    console.error('Error fetching rects :', error);  
  }  
}); 
// 进炉前
const handleConfirm = async () => {
  try {
    const response = await request.post('/temperingGlass/temperingGlassInfo/SelectWaitingGlass'); 
    if (response.code === 200) {  
      const rawRects = response.data; // 设置矩形数据  
      console.log(response.data);
      const { height: newheight,width: newwidth  } = response.data; // 获取尺寸  
      height.value = newheight;  
      width.value = newwidth;  

      adjustedRectsa.value = rawRects.map(rect => ({  
        ...rect, // 复制原始对象的其他属性  
        xcoordinate: rect.xcoordinate, // 将x值除以3  
        ycoordinate: rect.ycoordinate,
        width: rect.width ,
        height: rect.height ,
      }));  
        console.log(rect);

      //   console.log( (rect.width*100) / 300 );
    } else {  
      // console.error('Failed to fetch rectangles from API.');  
      console.error('Failed to fetch rects from API.'); 
    }  
  } catch (error) {  
    // console.error('Error fetching rectangles :', error);
    console.error('Error fetching rects :', error);  
  }  
}; 

// 已出炉
const handleConfirma = async () => {
  try {
    const response = await request.get('/temperingGlass/temperingGlassInfo/SelectOutGlass'); 
    if (response.code === 200) {  
      const rawRects = response.data; // 设置矩形数据  
      console.log(response.data);
      const { height: newheight,width: newwidth  } = response.data; // 获取尺寸  
      height.value = newheight;  
      width.value = newwidth;  

      adjustedRectsb.value = rawRects.map(rect => ({  
        ...rect, // 复制原始对象的其他属性  
        xcoordinate: rect.xcoordinate, // 将x值除以3  
        ycoordinate: rect.ycoordinate,
        width: rect.width ,
        height: rect.height ,
      }));  
        console.log(rect);

      //   console.log( (rect.width*100) / 300 );
    } else {  
      // console.error('Failed to fetch rectangles from API.');  
      console.error('Failed to fetch rects from API.'); 
    }  
  } catch (error) {  
    // console.error('Error fetching rectangles :', error);
    console.error('Error fetching rects :', error);  
  }  
}; 
const gridOptions = reactive({
  border:  "full",//表格加边框
  keepSource: true,//保持源数据
  align: 'center',//文字居中
  stripe:true,//斑马纹
  rowConfig: {isCurrent: true, isHover: true,height: 50},//鼠标移动或选择高亮
  id: 'OrderList',
  showFooter: true,//显示脚
  printConfig: {},
  importConfig: {},
  exportConfig: {},
  scrollY:{ enabled: true },//开启虚拟滚动
  showOverflow:true,
  columnConfig: {
    resizable: true,
    useKey: true
  },
  filterConfig: {   //筛选配置项
    remote: true
  },
  customConfig: {
    storage: true
  },
  editConfig: {
    trigger: 'click',
    mode: 'row',
    showStatus: true
  },
  data:  [
    {
    }
  ],
})
</script>

<template> 
  <div style="margin-top: 10px;">
     <el-button style="margin-left: 15px;"   id="searchButton" type="primary" @click="dialogFormVisible = true;dialogFormVisiblea = false;dialogFormVisibleb = false;">进炉中</el-button>
     <el-button style="margin-left: 15px;"   id="searchButton" type="primary" @click="handleConfirm();dialogFormVisiblea = true;dialogFormVisible = false;dialogFormVisibleb = false;" >进炉前</el-button>
    <el-button  id="searchButton" type="success" @click="handleConfirma();dialogFormVisibleb = true;dialogFormVisible = false;dialogFormVisiblea = false">已出炉玻璃</el-button>
<div v-if="dialogFormVisible" >
      <!-- <div style="display: flex;margin-bottom: 20px;">
      <div style="margin-left: 450px;font-size: 20px;">工程号：P20240305001 </div>
      <div style="margin-left: 150px;font-size: 20px;">版图编号：1</div>
    </div> -->
    <el-card style="flex: 1;margin-left: 10px;margin-top: 10px;margin-right: 10px;" v-loading="loading">
      <el-scrollbar height="630px">
    <div  style="position: relative;width: 1400px;">  
      <div  
      v-for="(rect, index) in adjustedRects"  
      :key="index"  
      class="rect"  
      :style="{ position: 'absolute',  top: `${rect.ycoordinate}px`, left: `${rect.xcoordinate}px`, width: `${rect.width}px`, height: `${rect.height}px`  }"  
    >
     <div  class="centered-text">
    <div style="margin-top: 50px;margin-left: -85px;">{{ rect.width }}*{{ rect.height }}</div>  
  </div>
  </div> 
   </div>
   </el-scrollbar>
   </el-card>
    </div>
<div v-if="dialogFormVisiblea">
  <el-card style="flex: 1;margin-left: 10px;margin-top: 10px;margin-right: 10px;" v-loading="loading">
      <el-scrollbar height="630px">
    <div  style="position: relative;width: 1400px;">  
      <div  
      v-for="(rect, index) in adjustedRects"  
      :key="index"  
      class="rect"  
      :style="{ position: 'absolute',  top: `${rect.ycoordinate}px`, left: `${rect.xcoordinate}px`, width: `${rect.width}px`, height: `${rect.height}px`  }"  
    >
     <div  class="centered-text">
    <div style="margin-top: 50px;margin-left: -85px;">{{ rect.width }}*{{ rect.height }}</div>  
  </div>
  </div> 
   </div>
   </el-scrollbar>
   </el-card>
</div>
<div v-if="dialogFormVisibleb">
  <el-card style="flex: 1;margin-left: 10px;margin-top: 10px;margin-right: 10px;" v-loading="loading">
      <el-scrollbar height="630px">
    <div  style="position: relative;width: 1400px;">  
      <div  
      v-for="(rect, index) in adjustedRects"  
      :key="index"  
      class="rect"  
      :style="{ position: 'absolute',  top: `${rect.ycoordinate}px`, left: `${rect.xcoordinate}px`, width: `${rect.width}px`, height: `${rect.height}px`  }"  
    >
     <div  class="centered-text">
    <div style="margin-top: 50px;margin-left: -85px;">{{ rect.width }}*{{ rect.height }}</div>  
  </div>
  </div> 
   </div>
   </el-scrollbar>
   </el-card>
</div>
  </div>
</template>

<style scoped>
#boxa{
  border: 1px solid rgb(119, 116, 116);
  background-color:  #529b2e;
  text-align: center;
  display: inline-block;
	/* align-items:center; */
	/* justify-content:center; */
  margin-left: 20px;
}
#boxb{
  border: 1px solid rgb(119, 116, 116);
  background-color:  #a0cfff;
  /* display:flex; */
  text-align: center;
  display: inline-block;
	align-items:center;
	justify-content:center;
  margin-left: 20px;
}
#box{
  border: 1px solid black;
  background-color:  #337ecc;
  display:flex;
	align-items:center;
	justify-content:center;
}
#home-card {
    width: 100%;
    overflow: hidden;
    padding: 10px 0px;
    display: flex;
    flex-wrap: wrap;
    #home-item {
      border-style: solid;
      border-width: 1px;
      border-color: #E4E4E4;
      width: calc(34% - 20px);
      padding: 20px 0px 20px 20px;
      margin-right: 10px;
      margin-bottom: 10px;
      display: flex;
      justify-content: center;
      /* align-items: center; */
      background: #fff;
      #home-img {
        display: inline-block;
        width: 160px;
        height: 60px;
        margin: 0;
        padding: 0;
      }
      #home-right {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        margin-left: 10px;
        #home-num {
          font-size: 40px;
          margin: 5px 0;
        }
      }
    }
  }
  .rect {  
  border: 1px solid black; /* 设置矩形的边框 */  
  background-color: lightblue; /* 设置矩形的背景色 */  
} 
#rect {  
  position: relative; /* 确保箭头可以相对于矩形定位 */  
  /* 其他样式 */  
}  
.centered-text {
  /* 设置文字居中样式 */  
  display: flex;  
  justify-content: center;  
  align-items: center;  
  height: 100%; /* 确保div占据整个矩形的高度 */  
} 
</style>